Subject: Fluid ViewHelper <f:render> should support same-template section rendering
Description

For menu generation, we to change the way sections are rendered in Fluid, so the following should be possible inside a template:

<f:render section="itemList" arguments="{items: items}" />

<f:section name="itemList">
        <ul>
                <f:for each="{items}" as="item">
                        <li><f:link.action package="TYPO3" controller="Frontend\Page" action="show" arguments="{page:
'{item.nodePath}'}">{item.label}</f:link.action>
                        <f:if condition="{item.subItems}">
                            <f:render section="itemList" arguments="{items: item.subItems}" />
                        </f:if>                        
                        </li>
                </f:for>
        </ul>
</f:section>

As this part is somehow hacky anyways inside TemplateView, it needs to be cleaned up.

The following cases need to be tested separately:

    -  <f:render section="foo" /> in a Layout
        -  should render section in TEMPLATE
        -  should use variables of TEMPLATE
    -  <f:render partial="foo" /> (no matter where)
        -  should render the given partial EVERYWHERE
        -  arguments need to be passed explicitely
    -  <f:render section="foo" /> in a Partial
        -  should use section in same PARTIAL
        -  arguments need to be passed explicitely
    -  <f:render section="foo" /> in a Template
        -  should use section in same TEMPLATE
        -  arguments need to be passed explicitely
    -  <f:render partial="foo" section="bla"/>
        -  should use section of given partial
        -  arguments need to be passed explicitely

Related issues:
related to Base Distribution - Story # 7918: As a User I want to see a dynami... Resolved 2010-05-26
#1 - 2010-06-22 14:33 - Sebastian Kurfuerst

committed with r4607

#2 - 2010-06-22 14:35 - Sebastian Kurfuerst
- Subject changed from Fluid ViewHelper <f:render> should support same-section rendering to Fluid ViewHelper <f:render> should support 
same-template section rendering

#3 - 2011-05-05 13:49 - Robert Lemke
- Project changed from Core Team to Base Distribution
- Target version deleted (550)
- Remaining (hours) set to 5.0

#4 - 2012-08-31 10:39 - Robert Lemke
- Project changed from Base Distribution to TYPO3.Neos
